CMUCL commit: src (lisp/GNUmakefile tools/build.sh)
Raymond Toy
rtoy at common-lisp.net
Mon Jul 12 16:02:49 CEST 2010
Date: Monday, July 12, 2010 @ 10:02:49
Author: rtoy
Path: /project/cmucl/cvsroot/src
Modified: lisp/GNUmakefile tools/build.sh
Only update translations on the last build.
lisp/GNUmakefile:
o Change "all" target to build just lisp.nm. Don't also build the
translations target.
tools/build.sh:
o Only make translations for the last build.
------------------+
lisp/GNUmakefile | 4 ++--
tools/build.sh | 6 ++++--
2 files changed, 6 insertions(+), 4 deletions(-)
Index: src/lisp/GNUmakefile
diff -u src/lisp/GNUmakefile:1.34 src/lisp/GNUmakefile:1.35
--- src/lisp/GNUmakefile:1.34 Fri Mar 19 11:19:03 2010
+++ src/lisp/GNUmakefile Mon Jul 12 10:02:49 2010
@@ -1,6 +1,6 @@
-# $Header: /project/cmucl/cvsroot/src/lisp/GNUmakefile,v 1.34 2010-03-19 15:19:03 rtoy Exp $
+# $Header: /project/cmucl/cvsroot/src/lisp/GNUmakefile,v 1.35 2010-07-12 14:02:49 rtoy Exp $
-all: lisp.nm translations
+all: lisp.nm
-include internals.inc
include Config
Index: src/tools/build.sh
diff -u src/tools/build.sh:1.29 src/tools/build.sh:1.30
--- src/tools/build.sh:1.29 Fri Mar 19 11:19:03 2010
+++ src/tools/build.sh Mon Jul 12 10:02:49 2010
@@ -32,7 +32,7 @@
#
# For more information see src/BUILDING.
#
-# $Header: /project/cmucl/cvsroot/src/tools/build.sh,v 1.29 2010-03-19 15:19:03 rtoy Exp $
+# $Header: /project/cmucl/cvsroot/src/tools/build.sh,v 1.30 2010-07-12 14:02:49 rtoy Exp $
#
ENABLE2="yes"
@@ -119,7 +119,7 @@
then
$TOOLDIR/clean-target.sh $CLEAN_FLAGS $TARGET || { echo "Failed: $TOOLDIR/clean-target.sh"; exit 1; }
time $TOOLDIR/build-world.sh $TARGET $OLDLISP $BOOT || { echo "Failed: $TOOLDIR/build-world.sh"; exit 1; }
- $MAKE -C $TARGET/lisp || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
+ $MAKE -C $TARGET/lisp $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
if [ "$BUILD_WORLD2" = "yes" ];
then
$TOOLDIR/build-world.sh $TARGET $OLDLISP $BOOT || { echo "Failed: $TOOLDIR/build-world.sh"; exit 1; }
@@ -165,6 +165,7 @@
TARGET=$BASE-2
ENABLE=$ENABLE2
+MAKE_TARGET=all
export INTERACTIVE
BUILD=1
@@ -183,6 +184,7 @@
buildit
TARGET=$BASE-4
+MAKE_TARGET="all translations"
CLEAN_FLAGS="-K all"
OLDLISP="${BASE}-3/lisp/lisp -noinit $FPU_MODE"
ENABLE=$ENABLE4
More information about the cmucl-commit
mailing list